package com.app.mysnackbar;

import android.support.design.widget.Snackbar;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.LinearLayout;

import java.util.Calendar;

public class MainActivity extends AppCompatActivity {

    LinearLayout lvparent;
    EditText edtMessage;
    Button btnShowMessage, btnShowDateTime;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        lvparent = findViewById(R.id.lvparent);
        btnShowDateTime = findViewById(R.id.btnShowDateTime);
        btnShowMessage = findViewById(R.id.btnShowMessage);

        edtMessage = findViewById(R.id.edtMessage);

        btnShowMessage.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                    ShowSnackBar(edtMessage.getText().toString());
            }
        });

        btnShowDateTime.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                ShowSnackBar(Calendar.getInstance().getTime().toString());
            }
        });
    }

    public void ShowSnackBar(String message) {
        if (message == null || message.trim().equals(""))
            message = "Please enter text to show";

        Snackbar.make(lvparent, message, Snackbar.LENGTH_LONG)
                .setAction("CLOSE", new View.OnClickListener() {
                    @Override
                    public void onClick(View view) {
                    }
                })
                .setActionTextColor(getResources().getColor(android.R.color.holo_red_light))
                .show();

    }
}

